import { FormDefinition, FormDefinitionContent, FormControlModel } from '@opentext/forms-common';
export default class ExampleForm {
    constructor();
    static getSchemaDefinition(): any;
    static getAdditionalSchemasDefinition(): any[];
    static getFormSchemaDefinition(): any;
    static getEmptyFormSchemaDefinition(): any;
    static getSchemaLocalizations(): Record<string, any>;
    static getPayloadSkeleton(): FormDefinition;
    static getPayload(): FormDefinitionContent;
    static getEmptyPayload(): FormDefinitionContent;
    static addLocalizations(): {};
    static getDesignPayload(): FormControlModel[];
    static getSchemaPayload(): any;
    static getCanvasId(): string;
    static getDesignDefinition(): FormControlModel[];
    static getEmptyDesignDefinition(): FormControlModel[];
    static getFormId(): string;
    static getSupportedLocales(): any;
    static getWorkspaceType(): any;
}
